# Onboard your connected account Provide your connected accounts a localized onboarding form that validates data. After you create a connected account on your platform, you must provide a way for the account to complete onboarding requirements. Stripe-hosted onboarding allows you to direct your users to the Stripe Dashboard, where Stripe collects requirements they must complete before we can activate their account. > Stripe-hosted onboarding is only supported in web browsers. You can’t use it in embedded web views inside mobile or desktop applications. ## Determine the information to collect As the platform, you must decide if you want to collect the required information from your connected accounts *up front* (Upfront onboarding is a type of onboarding where you collect all required verification information from your users at sign-up) or *incrementally* (Incremental onboarding is a type of onboarding where you gradually collect required verification information from your users. You collect a minimum amount of information at sign-up, and you collect more information as the connected account earns more revenue). Up-front onboarding collects the `eventually_due` requirements for the account, while incremental onboarding only collects the `currently_due` requirements. | Onboarding type | Advantages | | --------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ | | **Up-front** | - Normally requires only one request for all information - Avoids the possibility of payout and processing issues due to missed deadlines - Exposes potential risk early when accounts refuse to provide information | | **Incremental** | - Accounts can onboard quickly because they don’t have to provide as much information | To determine whether to use up-front or incremental onboarding, review the [requirements](https://docs.stripe.com/connect/required-verification-information.md) for your connected accounts’ locations and capabilities. While Stripe tries to minimize any impact to connected accounts, requirements might change over time. For connected accounts where you’re responsible for requirement collection, you can customize the behavior of [future requirements](https://docs.stripe.com/connect/handle-verification-updates.md) using the `collection_options` parameter. To collect the account’s future requirements, set [collection_options.future_requirements](https://docs.stripe.com/api/v2/core/account-links/create.md#create_account_links-collection_options-future_requirements) to `include`. ## Create an Account Link [Server-side] Create an [Account Link](https://docs.stripe.com/api/v2/core/account-links/create.md) using the connected account ID and include a [use_case.account_onboarding.refresh_url](https://docs.stripe.com/connect/saas/tasks/onboard.md#refresh-url) and a [use_case.account_onboarding.return_url](https://docs.stripe.com/connect/saas/tasks/onboard.md#return-url). Stripe redirects the connected account to the refresh URL if the Account Link URL has already been visited, has expired, or is otherwise invalid. Stripe redirects connected accounts to the return URL when they have completed or left the onboarding flow. Additionally, based on the information you need to collect, pass either `currently_due` or `eventually_due` for `use_case.account_onboarding.collection_options.fields`. This example passes `eventually_due` to use up-front onboarding. For incremental onboarding, set it to `currently_due`. ```curl curl -X POST https://api.stripe.com/v2/core/account_links \ -H "Authorization: Bearer <>" \ -H "Stripe-Version: 2026-03-25.preview" \ --json '{ "account": "{{CONNECTEDACCOUNT_ID}}", "use_case": { "type": "account_onboarding", "account_onboarding": { "collection_options": { "fields": "eventually_due" }, "configurations": [ "merchant" ], "return_url": "https://example.com/return", "refresh_url": "https://example.com/refresh" } } }' ``` ### Redirect your connected account to the Account Link URL Redirect the connected account to the Account Link URL to send them to the onboarding flow. Each Account Link URL can only be used once, because it grants access to the account holder’s personal information. Authenticate the account in your application before redirecting them to this URL. ## Identify and address requirement updates [Server-side] Set up your integration to [listen for changes](https://docs.stripe.com/connect/handling-api-verification.md#verification-process) to account requirements. You can test handling new requirements (and how they might disable charges and payouts) with the [test trigger cards](https://docs.stripe.com/connect/testing.md#trigger-cards). Send a connected account back through onboarding when it has any `currently_due` or `eventually_due` requirements. You don’t need to identify the specific requirements, because the onboarding interface knows what information it needs to collect. For example, if a typo is preventing verification of the account owner’s identity, onboarding prompts them to upload an identity document. Stripe notifies you about any [upcoming requirements updates](https://support.stripe.com/user/questions/onboarding-requirements-updates) that affect your connected accounts. You can proactively collect this information by reviewing your accounts’ requirements that have a [requested_reasons.code](https://docs.stripe.com/api/v2/core/accounts/retrieve.md#v2_retrieve_accounts-response-requirements-entries-requested_reasons-code) of `future_requirements`. For connected accounts where Stripe is responsible for collecting requirements, stop receiving updates for identity information after creating an [Account Link](https://docs.stripe.com/api/v2/core/account-links.md) or [Account Session](https://docs.stripe.com/api/account_sessions.md). Accounts store identity information in the `identity` hash. > #### Account v2 webhook event change > > For Account v2, create an event destination to [listen for v2.core.account[requirements].updated events](https://docs.stripe.com/connect/saas/tasks/onboard.md#listen-for-account-updates) instead of the `account.updated` v1 event. ### Handle verification errors Listen to the [v2.core.account[requirements].updated](https://docs.stripe.com/api/v2/core/events/event-types.md?api-version=preview) event. If the account contains any requirements with a [minimum_deadline.status](https://docs.stripe.com/api/v2/core/accounts/retrieve.md#v2_retrieve_accounts-response-requirements-entries-minimum_deadline-status) of `currently_due` when the deadline arrives, the corresponding functionality is disabled and those statuses become `past_due`. Let your accounts remediate their verification requirements by directing them to the Stripe-hosted onboarding form. (See full diagram at https://docs.stripe.com/connect/saas/tasks/onboard) ## Handle the connected account returning to your platform [Server-side] The Account Link requires a `refresh_url` and `return_url` to handle all cases in which the connected account is redirected back to your platform. It’s important to implement these correctly to provide the best onboarding flow for your connected accounts. > You can use HTTP for your `refresh_url` and `return_url` while you’re in a testing environment (for example, to test locally), but live mode only accepts HTTPS. Be sure you’ve swapped any testing URLs for HTTPS URLs before going live. ### Refresh URL Your connected account is redirected to the `refresh_url` when: - The link expired (a few minutes went by since the link was created). - The link was already visited (the connected account refreshed the page or clicked the **back** or **forward** button). - The link was shared in a third-party application such as a messaging client that attempts to access the URL to preview it. Many clients automatically visit links, which causes an Account Link to expire. Configure the `refresh_url` to call a method on your server to create a new Account Link with the same parameters and redirect the connected account to the new Account Link URL. ### Return URL Stripe redirects the connected account back to this URL when they complete the onboarding flow or click **Save for later** at any point in the flow. It doesn’t mean that all information has been collected, or that there are no outstanding requirements on the account. It only means the flow was entered and exited properly. This URL passes no state. After redirecting a connected account to the `return_url`, determine whether the account completed onboarding. [Retrieve the account](https://docs.stripe.com/api/v2/core/accounts/retrieve.md) and check the [requirements](https://docs.stripe.com/api/v2/core/accounts/retrieve.md#v2_retrieve_accounts-response-requirements) hash for outstanding requirements. Alternatively, listen to the `v2.core.account[requirements].updated` event sent to your webhook endpoint and cache the state of the account in your application. If onboarding is incomplete, provide prompts in your application to allow them to continue onboarding later. ## Handle connected account-initiated updates [Server-side] Stripe-hosted onboarding also supports connected account-initiated updates to the information they’ve already provided. Listen to the `v2.core.account[requirements].updated` event sent to your webhook endpoint to be notified when the account completes requirements and updates their information. When you create an Account Link, you can set the `type` to either `account_onboarding` or `account_update`. > #### Account Link type restriction > > You can create Account Links of type `account_update` only for connected accounts where your platform is responsible for collecting requirements, including Custom accounts. You can’t create them for accounts that have access to a Stripe-hosted Dashboard. If you use [Connect embedded components](https://docs.stripe.com/connect/get-started-connect-embedded-components.md), you can include components that allow your connected accounts to update their own information. For an account without Stripe-hosted Dashboard access where Stripe is liable for negative balances, you must use embedded components. ### Account Links for account_onboarding Account Links of this type provide a form for inputting outstanding requirements. Use it when you’re onboarding a new connected account, or when an existing user has new requirements (such as when a connected account had already provided enough information, but you requested a new capability that needs additional information). Send them to this type of Account Link to just collect the new information you need. ### Account Links for account_update Account Links of this type are enabled for accounts where your platform is responsible for requirement collection. `account_update` links display the attributes that are already populated on the account object and allow the connected account to edit previously provided information. Provide an option in your application (for example, “edit my profile” or “update my verification information”) for connected accounts to make updates themselves. ## Next steps When your connected account is active, [build a payments integration](https://docs.stripe.com/connect/saas/tasks/accept-payment.md) so they can begin accepting payments.